Subject: Re: [BUG almost bisected] Splat in dequeue_rt_stack() and build error

From: Valentin Schneider <[email-masked]>
Date: Tue, 27 Aug 2024 17:41:52 +0200

On 27/08/24 12:03, Valentin Schneider wrote:
> On 26/08/24 09:31, Paul E. McKenney wrote:
>> On Mon, Aug 26, 2024 at 01:44:35PM +0200, Valentin Schneider wrote:
>>>
>>> Woops...
>>
>> On the other hand, removing that dequeue_task() makes next-20240823
>> pass light testing.
>>
>> I have to ask...
>>
>> Does it make sense for Valentin to rearrange those commits to fix
>> the two build bugs and remove that dequeue_task(), all in the name of
>> bisectability.  Or is there something subtle here so that only Peter
>> can do this work, shoulder and all?
>>
>
> I suppose at the very least another pair of eyes on this can't hurt, let me
> get untangled from some other things first and I'll take a jab at it.

I've taken tip/sched/core and shuffled hunks around; I didn't re-order any
commit. I've also taken out the dequeue from switched_from_fair() and put
it at the very top of the branch which should hopefully help bisection.

The final delta between that branch and tip/sched/core is empty, so it
really is just shuffling inbetween commits.

Please find the branch at:

https://gitlab.com/vschneid/linux.git -b mainline/sched/eevdf-complete-builderr

I'll go stare at the BUG itself now.